function [ids_wall,ids_wall_description,varargout] = tcv_get_ids_wall(shot, ids_wall_empty, gdat_params, varargin)
%
%
% gdat_params: gdat_data.gdat_params to get all params passed from original call, in particular error_bar options
%

% Input pharser
[ids_wall, params] = tcv_ids_headpart(shot, ids_wall_empty,'wall','homogeneous_time',0,varargin{:});

% Get data of outline
[ids_wall.description_2d,ids_wall_description.description_2d]= tcv_ids_wall_description_2d(params.shot, ids_wall.description_2d(1));

% make arrays not filled in empty: not the case for magnetics
ids_wall.global_quantities.neutral = {}; % wall does not work with Antoine's addpath
ids_wall.description_ggd = {};
ids_wall.description_2d{1}.mobile.unit = {};


%% TODO 
ids_description = [];

% cocos automatic transform
cocos_in=17;
cocos_out=11;
% normally nothing to do
[ids_wall,cocoscoeff]=ids_generic_cocos_nodes_transformation_symbolic(ids_wall,'wall',cocos_in,cocos_out);
